Attribute VB_Name = "modKeybHook"
'In a module
Private Const WM_MOUSEWHEEL = &H20A
Private Const GWL_WNDPROC = -4
Public Const WH_KEYBOARD = 2
Public Const VK_SHIFT = &H10
Declare Function CallNextHookEx Lib "user32" (ByVal hHook As Long, ByVal ncode As Long, ByVal wParam As Long, lparam As Any) As Long
Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer
Declare Function SetWindowsHookEx Lib "user32" Alias "SetWindowsHookExA" (ByVal idHook As Long, ByVal lpfn As Long, ByVal hmod As Long, ByVal dwThreadId As Long) As Long
Declare Function UnhookWindowsHookEx Lib "user32" (ByVal hHook As Long) As Long
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function DefWindowProc Lib "user32" Alias "DefWindowProcA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lparam As Long) As Long
Private Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal MSG As Long, ByVal wParam As Long, ByVal lparam As Long) As Long
Public Declare Function GetFocus Lib "user32" () As Long



Public hHook As Long

Private Wheel As Integer
Dim lpPrevWndProc As Long

Public Function KeyboardProc(ByVal idHook As Long, ByVal wParam As Long, ByVal lparam As Long) As Long
    'if idHook is less than zero, no further processing is required
    If idHook < 0 Then
        'call the next hook
        KeyboardProc = CallNextHookEx(hHook, idHook, wParam, ByVal lparam)
    Else
        If (GetKeyState(wParam) And &HF0000000) Then
            If lparam > 0 Then frmMain.KeyPress wParam
        End If
        'call the next hook
        KeyboardProc = CallNextHookEx(hHook, idHook, wParam, ByVal lparam)
    End If
End Function

Public Sub MouseHook(hwnd As Long)
    lpPrevWndProc = SetWindowLong(hwnd, GWL_WNDPROC, AddressOf MouseProc)
End Sub
Private Function MouseProc(ByVal hwnd As Long, ByVal uMsg As Long, ByVal wParam As Long, ByVal lparam As Long) As Long
    On Error GoTo xErr
    If uMsg = WM_MOUSEWHEEL Then
        If wParam = -7864320 Or wParam = -23592960 Or wParam = -15728640 Then Wheel = -1
        If wParam = 7864320 Or wParam = 23592960 Or wParam = 15728640 Then Wheel = 1

        If Wheel = 1 Then frmMain.ScrollUpDown Wheel
        If Wheel = -1 Then frmMain.ScrollUpDown Wheel
  
    Else
        MouseProc = CallWindowProc(lpPrevWndProc, hwnd, uMsg, wParam, lparam)
    End If
xErr:
End Function
Public Sub UnHook()
    SetWindowLong frmMain.hwnd, GWL_WNDPROC, lpPrevWndProc
End Sub
