Attribute VB_Name = "modSettings"

' Keywords
Public WD()              As String

Public st_Interline      As Boolean '  
Public st_ShowEdit       As Boolean '   
Public st_ShowEditBox    As Boolean '   
Public st_HighlightEdit  As Boolean '   
Public st_HighlightNums  As Boolean '  
Public st_LevelLine      As Boolean '  

Public st_ShowTabLine    As Boolean '   
Public st_CurInterval    As Integer '   
Public st_TabSpaces      As Integer '     
Public st_TabSTR         As String

' COLORS
Public col_MainTextColor As Long    '     
Public col_Select        As Long    '    
Public col_BackGround    As Long    '     
Public col_SecondLine    As Long    '     
Public col_CurrentLineBG As Long    '      
Public col_CurrentLineB  As Long    '     
Public col_TABLine       As Long    '     

Public col_NumMain       As Long    '      
Public col_NumRight      As Long    '      
Public col_NumBG         As Long    '       

Public col_Quotes        As Long    '    
Public col_Keys          As Long    '     
Public col_Nums          As Long    '    
Public col_Remark        As Long    '    
Public col_Find          As Long    '     

Public Sub InitKeyWords()
    Dim S As String
    
    ' Keywords
    'S = "do is if in as to me of or key end lib and set get mid let mod xor dim for not new sub like byte next ansi loop step date else cdbl csng cstr when with into each long goto clng exit join from take call cdec auto stop case then cint true text const alias cbool byref false class cdate error byval culng erase ctype event cuint cbyte redim catch while until short public select static double elseif return typeof object option string global single binary resume compare cushort nothing default declare integer variant private boolean function assembly explicit property preserve optional readonly addressof writeonly paramarray raiseevent withevents"
    S = "as if do to or me end not mod mid and for xor sub dim mid$ app else exit long call then loop base goto stop next true print false erase lcase ucase alias byval byref input redim while error space lbound option double ucase$ ubound single string elseif lcase$ public string$ integer declare compare private explicit preserve function const"
    
    WD = Split(S, " ")
End Sub

Public Sub InitColorTheme()
    col_MainTextColor = RGB(0, 0, 0)
    col_Select = RGB(180, 240, 255) 'RGB(210, 210, 255) 'col_Select = RGB(192, 192, 255)
    col_TABLine = RGB(220, 220, 220)
    
    col_NumMain = RGB(200, 200, 200)
    col_NumRight = RGB(128, 128, 128)
    
    col_BackGround = RGB(255, 255, 255)
    col_SecondLine = RGB(245, 245, 245)
    
    col_CurrentLineBG = RGB(230, 240, 230)
    col_CurrentLineB = RGB(210, 210, 210)
    col_NumBG = RGB(192, 192, 192)
    
    col_Quotes = RGB(192, 64, 32)
    col_Keys = RGB(0, 0, 128)
    col_Remark = RGB(0, 128, 0)
    col_Nums = RGB(192, 0, 192)
    
    col_Find = RGB(255, 255, 0)
End Sub

Public Sub InitSets()
    st_Interline = True
    st_ShowEdit = True
    st_ShowEditBox = True
    st_HighlightEdit = True
    st_HighlightNums = True
    st_ShowTabLine = True
    st_LevelLine = True
    st_CurInterval = 500
    st_TabSpaces = 4
    st_TabSTR = Space(st_TabSpaces)
End Sub

Public Sub InitTextBox()

    InitKeyWords
    
    InitColorTheme
    
    InitSets
End Sub

